Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.form.model
Class ScriptRepresentation

    java.lang.Object
      org.jbpm.kie.services.impl.form.model.ScriptRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class ScriptRepresentation

extends Object
implements Mappable

See Also:
  Serialized Form

Constructor Summary
`ScriptRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getContent()`
`Map<String,Object>` | `getDataMap()`
`String` | `getDocumentation()`
`List<ScriptData>` | `getHelpers()`
`String` | `getId()`
`String` | `getInvokeFunction()`
`String` | `getSrc()`
`String` | `getType()`
`int` | `hashCode()`
`void` | `setContent(String content)`
`void` | `setDataMap(Map<String,Object> dataMap)`
`void` | `setDocumentation(String documentation)`
`void` | `setHelpers(List<ScriptData> helpers)`
`void` | `setId(String id)`
`void` | `setInvokeFunction(String invokeFunction)`
`void` | `setSrc(String src)`
`void` | `setType(String type)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptRepresentation

    public ScriptRepresentation()

Method Detail

### getDocumentation

    public String getDocumentation()

### setDocumentation

    public void setDocumentation(String documentation)

### getId

    public String getId()

### setId

    public void setId(String id)

### getType

    public String getType()

### setType

    public void setType(String type)

### getSrc

    public String getSrc()

### setSrc

    public void setSrc(String src)

### getContent

    public String getContent()

### setHelpers

    public void setHelpers(List<ScriptData> helpers)

### getHelpers

    public List<ScriptData> getHelpers()

### setContent

    public void setContent(String content)

### getInvokeFunction

    public String getInvokeFunction()

### setInvokeFunction

    public void setInvokeFunction(String invokeFunction)

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`

### setDataMap

    public void setDataMap(Map<String,Object> dataMap)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Throws:
    `FormEncodingException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.